1 2 3 4 5 6

Vulnerabilidades rss pdf

Coordinación de Seguridad de la Información - UNAM-CERT -- DGTIC-UNAM

Bolwin de Seguridad UNAM-CERT-2009-023 Vulnerabilidades en Windows Kernel podría permitir la elevación de privilegios

Microsoft presenta una actualizacion de seguridad (MS09-058) que resuelve varias vulnerabilidades reportadas de manera privada en el Kernel de Microsoft. La mayor de estas vulnerabilidade podría permitir la elevación de privilegios si un atacante con sesión en el sistema corre una aplicación especialmente diseñada. EL atacante debe tener credenciales válidas en el sistema, y debe ser capaz de iniciar sesión localmente para explotar cualquiera de estas vulenrabilidades. La vulnerabilidad se clasifica como importante en Microsoft Windows 2000, Windows XP, Windows Server 2003, Windows Vista, y Windows Server 2008; así como moderada para Service Pack 2 en todas las ediciones de Windows Vista y Windows Server 2008. La actualización arregla las vulnerabilidades asegurandose de que el Kernel de Windows trunca apropiadamente valores de 64 bits, asegurandose de que el Kernel de WIndows valida correctamente en un ejecutable.

  • Fecha de Liberación: 13-Oct-2009
  • Ultima Revisión: 13-Oct-2009
  • Fuente: Microsoft Corp.
  • CVE ID: CVE-2009-2515 CVE-2009-2516 CVE-2009-2517
  • Riesgo Importante
  • Problema de Vulnerabilidad Local
  • Tipo de Vulnerabilidad Elevación de privilegios

Sistemas Afectados

Microsoft Windows Microsoft Windows 2000 Service Pack 4 KB971486
Microsoft Windows Windows Server 2003 Service Pack 2 KB971486
Microsoft Windows Windows Server 2003 with SP2 for Itanium-based Systems KB971486
Microsoft Windows Windows Server 2003 x64 Edition Service Pack 2 KB971486
Microsoft Windows Windows Server 2008 for 32-bit Systems and Windows Server 2008 for 32-bit Systems Service Pack 2 KB971486
Microsoft Windows Windows Server 2008 for Itanium-based Systems KB971486
Microsoft Windows Windows Server 2008 for Itanium-based Systems and Windows Server 2008 for Itanium-based Systems Service Pack 2 KB971486
Microsoft Windows Windows Server 2008 for x64-based Systems and Windows Server 2008 for x64-based Systems Service Pack 2 KB971486
Microsoft Windows Windows Vista Service Pack 2 KB971486
Microsoft Windows Windows Vista and Windows Vista Service Pack 1 KB971486
Microsoft Windows Windows Vista x64 Edition Service Pack 2 KB971486
Microsoft Windows Windows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1 KB971486
Microsoft Windows Windows XP Professional x64 Edition and Windows XP Professional x64 Edition Service Pack 2 KB971486
Microsoft Windows Windows XP Service Pack 2 and Windows XP Service Pack 3 KB971486
  1. Índice de Explotabilidad

    3. Código de explotación funcional improbable

  2. Descripción

    Vulnerabilidad - CVE-2009-2515

    Vulnerabilidad de Windows Kernel Integer Underflow

    Existe una vulnerabilidad de elevación de privilegios dentro del Kernel de Windows derivado de un truncado incorrecto de un valor de 64 bits hacia uno de 32 bits.

    Vulnerabilidad - CVE-2009-2516

    Vulnerabilidad de Puntero diferencial nulo de Windows Kernel

    Existe una vulnerabilidad de elevación de privilegios dentro del Kernel de Windows derivado de una validación insuficiente de ciertos datos pasados del modo usuario.

    Vulnerabilidad - CVE-2009-2517

    Existe una vulnerabilidad de Denegación de Servicio (DoS) dentro del Kernel de Windows derivado de la manera en que el kernel maneja ciertas excepciones. Un atacante puede explotar esa vulnerabilidad al ejecutar una aplicación especialmente diseñada causando el reinicio del sistema.

  3. Impacto

    Vulnerabilidad - CVE-2009-2515

    Un atacante que explote esta vulnerabilidad podría ejecutar código arbitrario con los permisos del usuario que se encuentra en sesión. Si un usuario tiene permisos administrativos, el atacante puede tomar control total del sistema. Los usuarios que se encuentran configurados para tener menores privilegios en el sistema tendrían menor impacto que aquellos que operan con privilegios administrativos.

    Así, el atacante podría instalar programas; ver, cambiar o borrar información; o crear nuevas cuentas de usuario con privilegios administrativos.

    Vulnerabilidad - CVE-2009-2516

    Un atacante que explote esta vulnerabilidad podría ejecutar código arbitrario con los permisos del usuario que se encuentra en sesión. Si un usuario tiene permisos administrativos, el atacante puede tomar control total del sistema. Los usuarios que se encuentran configurados para tener menores privilegios en el sistema tendrían menor impacto que aquellos que operan con privilegios administrativos.

    Así, el atacante podría instalar programas; ver, cambiar o borrar información; o crear nuevas cuentas de usuario con privilegios administrativos.

    Vulnerabilidad - CVE-2009-2517

    Un atacante que explote esta vulnerabilidad podría causar que el sistema afectado deje de responder.

  4. Solución

    Vulnerabilidad CVE-2009-2515, CVE-2009-2516 y CVE-2009-2517

    Instale las actualizaciones

    1. Microsoft Windows 2000 Service Pack 4

    2. Windows XP Service Pack 2 and Windows XP Service Pack 3

    3. Windows XP Professional x64 Edition Service Pack 2

    4. Windows Server 2003 Service Pack 2

    5. Windows Server 2003 x64 Edition Service Pack 2

    6. Windows Server 2003 with SP2 for Itanium-based Systems

    7. Windows Vista and Windows Vista Service Pack 1

    8. Windows Vista Service Pack 2

    9. Windows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1

    10. Windows Vista x64 Edition Service Pack 2

    11. Windows Server 2008 for 32-bit Systems

    12. Windows Server 2008 for 32-bit Systems Service Pack 2

    13. Windows Server 2008 for x64-based Systems

    14. Windows Server 2008 for x64-based Systems Service Pack 2

    15. Windows Server 2008 for Itanium-based Systems

    16. Windows Server 2008 for Itanium-based Systems Service Pack 2

La Coordinación de Seguridad de la Información/UNAM-CERT agradece el apoyo en la elaboración ó traducción y revisión de éste Documento a:

  • Manuel Ignacio Quintero Martínez (mquintero at seguridad dot unam dot mx)

UNAM-CERT
Equipo de Respuesta a Incidentes UNAM
Coordinación de Seguridad de la Información

incidentes at seguridad.unam.mx
phishing at seguridad.unam.mx
http://www.cert.org.mx
http://www.seguridad.unam.mx
ftp://ftp.seguridad.unam.mx
Tel: 56 22 81 69
Fax: 56 22 80 47


Universidad Nacional Autonoma de México Aviso legal |  Créditos |  Staff |  Administración
Copyright © Todos los derechos reservados
UNAM - CERT